-base requires Scalar/Util.pm for File/Temp.pm auto/th/perl-5.26.0-4
authorElan Ruusamäe <glen@pld-linux.org>
Thu, 24 Aug 2017 13:08:42 +0000 (16:08 +0300)
committerElan Ruusamäe <glen@pld-linux.org>
Thu, 24 Aug 2017 13:11:06 +0000 (16:11 +0300)
Can't locate Scalar/Util.pm in @INC (you may need to install the Scalar::Util module)
  (@INC contains:
  /usr/local/lib/perl5/5.26.0/x86_64-pld-linux-thread-multi
  /usr/local/share/perl5
  /usr/lib64/perl5/vendor_perl/5.26.0/x86_64-pld-linux-thread-multi
  /usr/share/perl5/vendor_perl
  /usr/lib64/perl5/5.26.0/x86_64-pld-linux-thread-multi
  /usr/share/perl5/5.26.0)
at /usr/share/perl5/5.26.0/File/Temp.pm line 18.

perl.spec

index 84ca3cf..5cf2405 100644 (file)
--- a/perl.spec
+++ b/perl.spec
@@ -44,7 +44,7 @@
 %define                perl_mod2version()      %([ -f %{SOURCE4} ] && awk -vp=%1 '$1 == p { m=$2; printf("perl-%s = %s\\n", p, $4)}END{if (!m) printf("# Error looking up [%s]\\n", p) }' %{SOURCE4} || echo ERROR)
 
 %define                ver     5.26.0
-%define                rel     3
+%define                rel     4
 Summary:       Practical Extraction and Report Language (Perl)
 Summary(cs.UTF-8):     Programovací jazyk Perl
 Summary(da.UTF-8):     Programmeringssproget Perl
@@ -306,6 +306,7 @@ Group:              Development/Languages/Perl
 Requires:      %{name}-libs = %{epoch}:%{ver}-%{release}
 Requires:      %{perl_vendorarch}
 Requires:      %{perl_vendorlib}
+Requires:      perl(Scalar::Util)
 Provides:      perl(largefiles)
 Provides:      %perl_mod2version IO-Compress
 Provides:      %perl_mod2version PathTools
This page took 0.457187 seconds and 4 git commands to generate.